//
//  PathView.swift
//  Examen1
//
//  Created by Santiago Pavón on 14/10/15.
//  Copyright © 2015 UPM. All rights reserved.
//

import UIKit

@IBDesignable
class PathView: UIView {
    
    var radius: CGFloat = 100
    
    override func drawRect(rect: CGRect) {

        let rect = CGRectMake(bounds.size.width/2-radius,
            bounds.size.height/2-radius,
            2*radius, 2*radius)
        let path = UIBezierPath(ovalInRect: rect)
        path.lineWidth = 6
        UIColor.blueColor().setFill()
        UIColor.redColor().setStroke()
        path.fill()
        path.stroke()
    }


}
